Subject: Re: [ietf-calsify] Call for feedback on HTML5 spec on "predefined vocabularies"

From: Julian Reschke <[email-masked]>
Date: Sun, 04 Oct 2009 11:01:41 +0200

FYI: the predefined vocabularies are gone for now, see:

<http://lists.w3.org/Archives/Public/public-html/2009Oct/0082.html>

BR, Julian

Julian Reschke wrote:
> Hi,
> 
> (cross-posted to IETF apps-discuss, plus vcarddav and calsify mailing 
> lists)
> 
> the W3C HTML Working Group is currently preparing a new Working Draft 
> for HTML5. This will be based on the current Editor's Draft at 
> <http://dev.w3.org/html5/spec/Overview.html>).
> 
> A significant change since the last Working Draft is the introduction of 
> "microdata", a way to augment the markup with semantics, similar to and 
> competing with RDFa and microformats in general (see 
> <http://dev.w3.org/html5/spec/Overview.html#microdata>).
> 
> As part of introducing microdata, the spec also defines several 
> "predefined vocabularies". Some of them are based on IETF formats (and 
> this is why I'm writing this particular email).
> 
> One of these vocabularies is "vcard" (see 
> <http://dev.w3.org/html5/spec/Overview.html#vcard>). As far as I can 
> tell, the HTML spec more or less duplicates information from RFC 2426, 
> and while doing so also introduces specific compliance criteria. It does 
> *not* refer to 
> <http://tools.ietf.org/html/draft-ietf-vcarddav-vcardrev-08>, so, as far 
> as I can tell, it would hardwire the vocabulary to a soon-to-be-outdated 
> version of the spec, and also removes the inherent extensibility model.
> 
> Another predefined vocabulary is "vevent" (see 
> <http://dev.w3.org/html5/spec/Overview.html#vevent>), to which similar 
> observations apply.
> 
> I have talked to this to many W3C and IETF people, and as far as I can 
> tell, almost all of them consider this to be a Bad Idea. In particular, 
> it seems that the author has not even tried to co-ordinate with the two 
> applicable IETF Working Groups (I just checked the mailing list 
> archives, and couldn't find anything, but maybe I'm missing something).
> 
> I'm not sure whether the two working groups have considered this issue 
> yet. I encourage to look at the spec now 
> (<http://dev.w3.org/html5/spec/Overview.html>), or as soon as a new 
> Working Draft is published.
> 
> In case the Calsify and/or Vcarddav Working Groups want to comment on 
> this, I encourage the chairs to send feedback directly to the W3C HTML 
> WG, so that the feedback gets the proper attention.
> 
> Best regards, Julian
> 
> _______________________________________________
> Apps-Discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
> 

_______________________________________________
ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify